#include <vector>
#include <iostream> 
#include <queue>
#include <tuple>
#include <string>
#include <algorithm>
using namespace std;

void Print(vector<string>& v)
{
	for (auto x : v)
		cout << x << ' ';
	cout << '\n';
}

int main()
{
	vector<string> v = {"Ion", "Ana", "George", "Vasile", "Gelu"};

	auto it1 = find(v.begin(), v.end(), "Gelu");
	auto it2 = find(v.begin(), v.end(), "Ana");
	
	if (it1 > it2)
		swap(it1, it2);
		
	if (it1 != v.end() && it2 != v.end())
		v.erase(it1, it2); // sterge un singur element din vector
		
	Print(v);
}

